<?php
namespace Magento\TaxImportExport\Block\Adminhtml\Rate\Grid\Renderer\Country;

/**
 * Interceptor class for @see \Magento\TaxImportExport\Block\Adminhtml\Rate\Grid\Renderer\Country
 */
class Interceptor extends \Magento\TaxImportExport\Block\Adminhtml\Rate\Grid\Renderer\Country implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Context $context, \Magento\Framework\Locale\ListsInterface $localeLists, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $localeLists, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
